Loading...
Searching...
No Matches
Magick::quantizeTreeDepthImage Class Reference

## Public Member Functions

| quantizeTreeDepthImage (const size_t treeDepth_)
void | operator() (Image &image_) const

## Private Attributes

size_t | _treeDepth

## Detailed Description

Definition at line 1685 of file STL.h.

## Constructor & Destructor Documentation

## quantizeTreeDepthImage()

Magick::quantizeTreeDepthImage::quantizeTreeDepthImage | ( | const size_t | treeDepth_ | ) |

Definition at line 1513 of file STL.cpp.

: _treeDepth( treeDepth_ ) { }

## Member Function Documentation

## operator()()

void Magick::quantizeTreeDepthImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 1516 of file STL.cpp.

{
image_.quantizeTreeDepth( _treeDepth );
}

## Field Documentation

## _treeDepth

size_t Magick::quantizeTreeDepthImage::_treeDepth

private

Definition at line 1693 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp